Subject: Re: [ANN] intel's netdev-ci for i40e

From: "Pielech, Adrian" <[email-masked]>
Date: Wed, 11 Feb 2026 10:17:52 +0100

On 2/5/2026 2:40 AM, Jakub Kicinski wrote:
> On Wed, 4 Feb 2026 13:15:03 +0100 Pielech, Adrian wrote:
>> On 2/4/2026 4:08 AM, Jakub Kicinski wrote:
>>> Looks like the GRO test result parsing is off, the test cases are
>>> reported as for example:
>>>
>>> 	gro-test-lro-ipv6-ip-tos # XFAIL Device does not support...
>>>
>>> Looks like this affects all your runners, I haven't noticed earlier.
>>
>> I have fixed that, XFAIL should be reported as fail even if further
>> message suggests that the test should report SKIP due to "device does
>> not support...".
>>
>> Historical results were parsed again to remove test cases:
>> "[...] # XFAIL [...]".
> 
> Looks good now, thanks!
> 
> One more note, the "driver metadata" is currently reported as:
> 
> {"devlink":{"driver":"i40e", ...
> 
> looks like you have some extra nests there. That's perfectly fine,
> but we need there to be a "driver" key in the outmost object.
> Right now our UIs show "undefined" for the drivers here:
> https://netdev.bots.linux.dev/devices.html

I have moved position of "driver" from device.devlink.driver to
device.driver. Regenerated current and past results. You can refresh
your dashboard as well to wipe duplicated entries.